<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('agreement', function (Blueprint $table) {
            $table->text('notice_img')->nullable()->comment('通知书照片')->change();
            $table->text('img')->nullable()->comment('协议扫描文件')->change();
            $table->text('rights_img')->nullable()->comment('领取权益凭证')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('agreement', function (Blueprint $table) {
            $table->dropColumn('notice_img');
            $table->dropColumn('img');
            $table->dropColumn('rights_img');
        });
    }
};
